Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
Ipopt::AmplOptionsList Class Reference

Class for storing a number of AMPL options that should be registered to the AMPL Solver library interface. More...

`#include <AmplTNLP.hpp>`

Inheritance diagram for Ipopt::AmplOptionsList:
[legend]

## Classes
class | AmplOption
| Ampl Option class, contains name, type and description for an AMPL option. More...
class | PrivatInfo

## Public Types
enum | AmplOptionType { String_Option, Number_Option, Integer_Option, WS_Option, HaltOnError_Option }

## Public Member Functions
| AmplOptionsList ()
| Default Constructor. More...
| ~AmplOptionsList ()
| Destructor. More...
void | AddAmplOption (const std::string ampl_option_name, const std::string ipopt_option_name, AmplOptionsList::AmplOptionType type, const std::string description)
| Adding a new AMPL Option. More...
Index | NumberOfAmplOptions ()
| Number of AMPL Options. More...
void * | Keywords (const SmartPtr< OptionsList > &options, SmartPtr< const Journalist > jnlst, void **nerror)
| ASL keywords list for the stored options. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
void | MakeValidLatexString (std::string source, std::string &dest) const
void | PrintLatex (SmartPtr< const Journalist > jnlst)
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| AmplOptionsList (const AmplOptionsList &)
| Default Constructor. More...
void | operator= (const AmplOptionsList &)
| Overloaded Equals Operator. More...

## Private Attributes
std::map< std::string, SmartPtr< const AmplOption > > | ampl_options_map_
| map for storing registered AMPL options More...
void * | keywds_
| pointer to the keywords More...
Index | nkeywds_
| Number of entries stored in keywds_. More...

## Detailed Description

Class for storing a number of AMPL options that should be registered to the AMPL Solver library interface.

Definition at line 102 of file AmplTNLP.hpp.

## Member Enumeration Documentation

enum Ipopt::AmplOptionsList::AmplOptionType

Enumerator
String_Option |
Number_Option |
Integer_Option |
WS_Option |
HaltOnError_Option |

Definition at line 105 of file AmplTNLP.hpp.

## Constructor & Destructor Documentation

Ipopt::AmplOptionsList::AmplOptionsList | ( |  | ) |
| inline

Default Constructor.

Definition at line 201 of file AmplTNLP.hpp.

Ipopt::AmplOptionsList::~AmplOptionsList | ( |  | ) |

Destructor.

Ipopt::AmplOptionsList::AmplOptionsList | ( | const AmplOptionsList & |  | ) |
| private

Default Constructor.

Copy Constructor

## Member Function Documentation

void Ipopt::AmplOptionsList::AddAmplOption | ( | const std::string | ampl_option_name,
|  | const std::string | ipopt_option_name,
|  | AmplOptionsList::AmplOptionType | type,
|  | const std::string | description
| ) |  |
| inline

Adding a new AMPL Option.

Definition at line 211 of file AmplTNLP.hpp.

Index Ipopt::AmplOptionsList::NumberOfAmplOptions | ( |  | ) |
| inline

Number of AMPL Options.

Definition at line 222 of file AmplTNLP.hpp.

void* Ipopt::AmplOptionsList::Keywords | ( | const SmartPtr< OptionsList > & | options,
|  | SmartPtr< const Journalist > | jnlst,
|  | void ** | nerror
| ) |  |

ASL keywords list for the stored options.

void Ipopt::AmplOptionsList::operator= | ( | const AmplOptionsList & |  | ) |
| private

Overloaded Equals Operator.

void Ipopt::AmplOptionsList::MakeValidLatexString | ( | std::string | source,
|  | std::string & | dest
| ) |  | const
| private

void Ipopt::AmplOptionsList::PrintLatex | ( | SmartPtr< const Journalist > | jnlst | ) |
| private

## Member Data Documentation

std::map<std::string, SmartPtr<const AmplOption> > Ipopt::AmplOptionsList::ampl_options_map_
| private

map for storing registered AMPL options

Definition at line 256 of file AmplTNLP.hpp.

void* Ipopt::AmplOptionsList::keywds_
| private

pointer to the keywords

Definition at line 262 of file AmplTNLP.hpp.

Index Ipopt::AmplOptionsList::nkeywds_
| private

Number of entries stored in keywds_.

Definition at line 265 of file AmplTNLP.hpp.

The documentation for this class was generated from the following file:

- src/Apps/AmplSolver/AmplTNLP.hpp